Page MenuHomePhabricator

Deploy Wikidata descriptions to Catalan and Polish mobile web Wikipedias stable
Closed, ResolvedPublic1 Story Points

Description

To gather feedback and aid ongoing discussions from a set of communities we will initially enable on these a small set of mobile Wikipedias.

Acceptance Criteria

  • Wait at least a week after its blocking task has been deployed to the Beta Cluster
  • SWAT deploy of the config change

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 16 2016, 7:20 PM
Moushira renamed this task from Deploy Wikidata descriptions to Spanish, Portuguese, and Polish mobile web Wikipedias stable to Deploy Wikidata descriptions to Catalan, French, and Polish mobile web Wikipedias stable.May 25 2016, 2:18 PM
Jhernandez triaged this task as Normal priority.May 25 2016, 4:37 PM

@Moushira what's the motivation here to only deploy to a few wikis rather than all?

Jdlrobson set the point value for this task to 1.May 31 2016, 4:55 PM
Jdlrobson updated the task description. (Show Details)May 31 2016, 10:44 PM
Oliv0 added a subscriber: Oliv0.Jun 1 2016, 10:26 AM
Moushira renamed this task from Deploy Wikidata descriptions to Catalan, French, and Polish mobile web Wikipedias stable to Deploy Wikidata descriptions to Catalan and Polish mobile web Wikipedias stable.Jun 1 2016, 7:51 PM

I removed French from the ticket title, looks like the conversation needs to go longer.

dr0ptp4kt added a comment.EditedJun 5 2016, 7:32 PM

@Moushira, just to double check: are we okay to roll this out on Catalan and Polish mobile Wikipedias?

dr0ptp4kt updated the task description. (Show Details)Jun 5 2016, 7:40 PM

Changing this to sprint 75 for timing.

@Lydia_Pintscher, provided @Moushira indicates we're okay for Catalan and French mobile Wikipedias, would you be okay emailing in your weekly Wikidata summary on 13-June-2016 to let people know we plan to roll the descriptions on most mobile Wikipedias "throughout the remainder of June 2016, starting first with Catalan and Polish mobile Wikipedias"?

We are OK with Catalan and Polish. We need more discussion on French, hence the ticket renaming :)

@Moushira, thanks. Okay @Lydia_Pintscher, does that 13-June-2016 Wikidata summary sound okay for you?

jhobs updated the task description. (Show Details)Jun 14 2016, 4:44 PM

This feature was proposed at https://ca.wikipedia.org/wiki/Tema:T4zzb98em3pn4ikh and it didn't receive any feedback at all. For the local standards, that could be translated as "OK, as long as you will hear us and react quickly if problems are reported." :)

@Lydia_Pintscher it's looking like Catalan and Polish Wikipedias on mobile web will be the evening of Thursday, 23-June-2016.

Oliv0 removed a subscriber: Oliv0.Jun 17 2016, 6:13 AM
Addshore moved this task from incoming to monitoring on the Wikidata board.Jun 22 2016, 1:04 PM

Change 296242 had a related patch set uploaded (by Jhobs):
Enable Wikibase descriptions on Catalan and Polish wikis

https://gerrit.wikimedia.org/r/296242

jhobs updated the task description. (Show Details)Jun 27 2016, 3:56 PM

I'm a bit late in updating this card, but deployment was scheduled for June 27th (today) rather than June 23rd to give over a full week on the Beta Cluster.

Awesome @jhobs - exciting stuff! :) I can be around to help test the deployment if you need me.

Change 296242 merged by jenkins-bot:
Enable Wikibase descriptions on Catalan and Polish wikis

https://gerrit.wikimedia.org/r/296242

Mentioned in SAL [2016-06-28T00:21:06Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Enable Wikibase descriptions on Catalan and Polish wikis (T135429) (duration: 00m 26s)

FYI I'm not seeing this in stable on Polish Wikipedia https://pl.m.wikipedia.org/wiki/Tonancjusz_Ferreolus despite the above patch being merged. I only see the description in beta.

FYI I'm not seeing this in stable on Polish Wikipedia https://pl.m.wikipedia.org/wiki/Tonancjusz_Ferreolus despite the above patch being merged. I only see the description in beta.

I pinged you on IRC about this. I hadn't updated threads/email yet because it was almost 9pm and I needed some dinner and a beer. :)

Onto the meat of things.

TL/DR: Wikidata descriptions enabled on Catalan wiki, rolling out on Polish with the train on Thursday due to a regression that caused an entire branch rollback.

Polish Wikipedia (along with other group2 wikis) was reverted to branch 1.28.0-wmf.6 last Friday due to a blocking regression. The train was frozen and then delayed by a week. The patches (296281 and 296346) fixing T138738 and T138085 were able to be backported to 1.28.0-wmf.6 and rolled out to 1.28.0-wmf.7 during today's evening SWAT deployment. The patch enabling Wikidata descriptions on Catalan and Polish stable Wikipedias, however, was only able to be deployed to 1.28.0-wmf.7 (due in part to the already prolonged SWAT window). Thus, it is currently deployed and confirmed working on Catalan wiki, but it won't be enabled for Polish stable until the train rolls at 19:00 UTC on Thursday. Both wikis still have Wikidata descriptions in beta (as do all wikis).

Thanks to @Dereckson for their extreme help this evening (and for not getting frustrated with me!) while gerrit constantly threw merge errors back at us despite merges working locally. :)

jhobs updated the task description. (Show Details)Jun 28 2016, 2:51 AM

Moving to Ready for Signoff, although signoff should probably not happen until the train rolls out to Polish wiki on Thursday.